package cn.com.qmth.examcloud.exchange.outer.api;

import cn.com.qmth.examcloud.api.commons.EnterpriseService;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterGetQuestionAnswerReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterGetSubjectivePaperStructReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterGetSubjectiveQuestionReq;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterGetQuestionAnswerResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterGetSubjectivePaperStructResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterGetSubjectiveQuestionResp;


/**
 * @Description 考试作答服务
 * @Author lideyin
 * @Date 2020/3/30 15:19
 * @Version 1.0
 */
public interface ExamQuestionOuterService extends EnterpriseService {

    /**
     * 获取主观题试卷结构
     *
     * @param req
     * @return
     */
    OuterGetSubjectivePaperStructResp getSubjectivePaperStruct(OuterGetSubjectivePaperStructReq req);

    /**
     * 获取主观题作答结果
     *
     * @param req
     * @return
     */
    OuterGetSubjectiveQuestionResp getSubjectiveQuestion(OuterGetSubjectiveQuestionReq req);

    /**
     * 获取题目答案
     *
     * @param req
     * @return
     */
    OuterGetQuestionAnswerResp getQuestionAnswer(OuterGetQuestionAnswerReq req);
}
